import { AfterViewInit, EventEmitter, ElementRef } from '@angular/core';
import { SegmentService } from '../segment/segment.service';
export declare class SegmentButtonComponent implements AfterViewInit {
    private elementRef;
    private segmentService;
    value: any;
    disabled: any;
    selected: any;
    checked: EventEmitter<SegmentButtonComponent>;
    nativeElement: HTMLElement;
    private _disabled;
    private _selected;
    constructor(elementRef: ElementRef, segmentService: SegmentService);
    click(): void;
    ngAfterViewInit(): void;
}
